Core - Bug # 55499

Status: Resolved Priority: Should have
Author: Michiel Roos Category:

Created: 2014-01-31 Assigned To: Michiel Roos
Updated: 2014-01-31 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity: easy

Is Regression: Yes

Sprint Focus:

Subject:

DebugUtility shows <\uOOF2 instead of </

Description

The new JavaScript encoder using json_encode also encodes the forward slash to unicode: \uOOF2.

This creates problems, since json_encode already 'escapes' the forward slash with a backslash.

Related issues:

related to Core - Task # 54560: Replace JavaScriptEncoder with json_encode() Resolved

2013-12-22

Associated revisions

Revision 1925ea03 - 2014-01-31 16:39 - Michiel Roos

[BUGFIX] quoteJSvalue double encodes forward slash

The new JavaScript encoder using json_encode also encodes the forward
slash to unicode: \uOOF2.

This creates problems, since json_encode already 'escapes' the forward
slash with a backslash.

This patch removes the ecoding of the forward slash from quoteJSvalue
Unit tests have been adjusted to match the output of json_encode:

- forward slash is escaped with a backslash

Change-Id: Ibc19f69c0b68f5bbfa67a39750884dcc030f38cb
Resolves: #55499

Releases: 6.2

Reviewed-on: https://review.typo3.org/27183

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Tested-by: Daniel Siepmann
Reviewed-by: Frans Saris
Tested-by: Frans Saris

History

#1 - 2014-01-31 10:58 - Gerrit Code Review
- Status changed from New to Under Review

2015-08-04
https://review.typo3.org/27183

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27183

#2 - 2014-01-31 11:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27183

#3 - 2014-01-31 11:16 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27183

#4 - 2014-01-31 14:13 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27183

#5 - 2014-01-31 17:30 - Michiel Roos
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1925ea03b0b4496f35c08df7c8496f117ea4bdds.

2015-08-04
